petsc-3.10.5 2019-03-28
Report Typos and Errors

# ISLocalToGlobalMappingRestoreInfo

Frees the memory allocated by ISLocalToGlobalMappingGetInfo()

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISLocalToGlobalMappingRestoreInfo(ISLocalToGlobalMapping mapping,PetscInt *nproc,PetscInt *procs[],PetscInt *numprocs[],PetscInt **indices[])

Collective on ISLocalToGlobalMapping

### Input Parameters

mapping -the mapping from local to global indexing

### Output Parameter

| nproc | - number of processors that are connected to this one
| proc | - neighboring processors
| numproc | - number of indices for each processor
| indices | - indices of local nodes shared with neighbor (sorted by global numbering)

### See Also

ISLocalToGlobalMappingDestroy(), ISLocalToGlobalMappingCreateIS(), ISLocalToGlobalMappingCreate(),
ISLocalToGlobalMappingGetInfo()

### Level

advanced

### Location

src/vec/is/utils/isltog.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages